// Info.java created on 06 March 2004 at 13:47

//=============================================================================
//
//    Copyright (C) 2004 Kevin Ashelford
//    Contact details:
//    Email: ashelford@cardiff.ac.uk
//    Address:  Cardiff School of Bioscience, Cardiff University, PO. Box 915,
//    Cardiff, UK. CF10 3TL
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//=============================================================================

package kea.programs.jPrimrose;

import java.lang.*;
import java.awt.*;

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

/**
 Information class for JPrimrose.
 @author  Kevin Ashelford.
 @version 2.17.
 */
public class Info extends kea.programs.ProgramInfo {
	
	//##########################################################################
	
	// CLASS FIELDS
	
	/** Public name of program. */	
	protected static final String PROGRAM_NAME = "Primrose";
	
	/** Name of author. */
	protected static final String AUTHOR_NAME = "Kevin Ashelford";
	
	/** Short description of program. */	
	protected static final String PROGRAM_DESCRIPTION = 
		"a program for generating oligonucleotide probes and primers.";
	
	/** Version of program. */	
	protected static final String PROGRAM_VERSION = "2.17";
	
	/** Time (in seconds) that splash screen should be displayed prior to 
	 program start. */	
	protected static final int SPLASH_SCREEN_DURATION = 1;
	
	/** Dimensions of splash screen. */	
	protected static final Dimension SPLASH_SCREEN_DIMENSION = 
		new Dimension(350, 230);
	
	/** Font used by text fields. */	
	protected static final Font TEXT_FIELD_FONT = 
		new Font("Monospaced", Font.BOLD, 14);
	
	/** Decides whether tooltips should be shown or not. */
	protected static final boolean DEFAULT_SHOW_TOOLTIPS = true;
	
	///** Minimum frame dimensions. */
	//protected static final Dimension MINIMUM_FRAME_DIMENSION = 
	//	new Dimension(500, 400);
	
	
	////////////////////////////////////////////////////////////////////////////
	
	// MEMBER FIELDS
	
	//##########################################################################
	
	// CONSTRUCTOR

	private Info() {} // End of constructor.
	
	//##########################################################################
	
	// PROPERTY ACCESSOR METHODS
	
	//##########################################################################
	
	// METHODS
	
	//##########################################################################
	
	} // End of class.

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////
